Page MenuHomePhabricator

Invalid message parameter tracking
Closed, InvalidPublic

Description

This is a generic bug related to any Invalid message parameter warnings.

Warning: Invalid message parameter: a:1:{s:3:"raw";N;} in /usr/local/apache/common-local/php-1.23wmf6/includes/Message.php

I will add stacktrace logging with this bug number to generate appropriate log files for this message.


Version: unspecified
Severity: normal

Details

Reference
bz58676

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:35 AM
bzimport set Reference to bz58676.
bzimport added a subscriber: Unknown Object (MLST).
Yurik created this task.Dec 19 2013, 12:07 AM

Change 102601 had a related patch set uploaded by Yurik:
Bug 58676: Added logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102601

Change 102604 had a related patch set uploaded by Yurik:
Bug 58676: Added logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102604

I think this is a duplicate issue. I'll look it up...

(In reply to comment #3)

I think this is a duplicate issue. I'll look it up...

I think I was confused with bug 54193, which is not a dupe.

Change 102604 had a related patch set uploaded by Siebrand:
Bug 58676: Added logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102604

Change 102601 had a related patch set uploaded by Siebrand:
Bug 58676: Added logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102601

Change 102741 had a related patch set uploaded by Reedy:
Add logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102741

Change 102741 merged by Reedy:
Add logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102741

Change 102601 merged by jenkins-bot:
Add logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102601

created a logfile for this on flurione per yurik's request. made udplog own it, but so far we have nothing coming in and yurik now investitages why:

16:28 < mutante> !log create /a/mw-log/Bug58676.log for yurik, touch, chown udplog ..etc

16:44 < mutante> 0 -rw-r--r-- 1 udp2log udp2log 0 Dec 20 00:21 Bug58676.log

Change 102604 merged by jenkins-bot:
Add logging for "Invalid message parameter"

https://gerrit.wikimedia.org/r/102604

Yurik added a comment.Dec 30 2013, 4:35 PM

The logging works, will start filing bugs that are blocking this one.

(In reply to Yuri Astrakhan from comment #12)

The logging works, will start filing bugs that are blocking this one.

Are those the only two?

Proposing to close this "tracking task". Anyone can search for "Invalid message parameter" (and additionally within Wikimedia-production-error, if wanted).

If that's not sufficient and if you explicitly want to get notified of new subtasks here only, please explain your use case and if you plan to regularly search for new tasks to make them subtasks of this task. Thanks!

Dzahn removed a subscriber: Dzahn.Sep 12 2018, 2:21 PM
hashar removed a subscriber: hashar.Sep 13 2018, 10:32 AM
Aklapper closed this task as Invalid.Apr 7 2019, 7:50 PM

Closing per last comment and as there are no open subtasks and as no subtasks have been added for four years.